package rione.communication;

import rescuecore2.standard.entities.StandardEntity;
import rione.object.AdvancedWorldModel;

public abstract class AbstractMessageMaker {

	protected AdvancedWorldModel world;

	public AbstractMessageMaker(AdvancedWorldModel world) {
		this.world = world;
	}

	/**
	 * 優先度を考慮した送信情報を生成するメソッド
	 * @param entity 送信情報
	 * @return 優先度付き送信情報
	 */
	abstract public MessageData make(StandardEntity entity);
}
