package rione.communication;

import rescuecore2.standard.entities.StandardEntity;

class StanderdEntityMessageData extends MessageData{

	/** 通信データの内容． */
	protected StandardEntity entity;

	public StanderdEntityMessageData() {
		priority = DEFAULT_PRIORITY;
		entity = null;
	}

	public StanderdEntityMessageData(int priority_, StandardEntity entity_) {
		priority = priority_;
		entity = entity_;
	}

	public void setEntity(StandardEntity entity_) {
		entity = entity_;
	}

	public StandardEntity getEntity() {
		return entity;
	}

	@Override
	public String toString() {
		return new String("[priority:"+priority+",entity:"+entity+"]");
	}
}
