package rione.communication.channel;

/**
 * ノイズ情報を表現するクラス．
 * @author suzuki
 *
 */
public abstract class AbstractNoise {

	/** ノイズが存在するかどうか． */
	private boolean isUse;
	
	/** ノイズ発生確率 */
	private double p;

	public AbstractNoise() {
		isUse = false;
		p = 0.0;
	}

	public void useNoise() {
		isUse = true;
	}

	public double getRatio() {
		if (isUse) {
			return p;
		}
		return 0.0;
	}

	public void setRatio(double ratio) {
		p = ratio;
	}

}
