package rione.communication.channel;

public class VoiceChannel extends AbstractChannel {

	private final int range;
	private final int size;
	private final int number;
	
	public VoiceChannel(int channel, int range, int size, int number) {
		super(channel);
		this.range = range;
		this.size = size;
		this.number = number;
	}

	public int getRange() {
		return range;
	}

	public int getSize() {
		return size;
	}

	public int getNumber() {
		return number;
	}

}
