package rione.object;

public enum ReachableType {
	True(2),
	False(1),
	Unknown(0);
	
	private final int priority;
	private ReachableType(int n) {
		priority = n;
	}
	
	public ReachableType bigger(ReachableType type) {
		if (this.priority > type.priority) {
			return this;
		}
		return type;
	}
}
