package rione.task;

import rescuecore2.standard.entities.StandardEntity;

public class PoliceForceTask extends Task {
	
	/** 移動に通常のコスト関数を使う */
	public final static int NORMAL_FUNCTION = 1;
	/** 移動にPFのコスト関数を使う */
	public final static int PF_FUNCTION = 2;

	/**
	 * コンストラクタ
	 * @param entity 対象のEntity
	 * @param priority 優先度
	 * @param approach 方法のフラグ
	 */
	public PoliceForceTask(StandardEntity entity, int priority, int approach) {
		super(entity, priority, approach, -1);
	}
	/**
	 * コンストラクタ
	 * @param entity
	 * 	対象のEntity
	 * @param priority
	 * 	タスクの優先度
	 */
	public PoliceForceTask(StandardEntity entity, int priority) {
		super(entity, priority);
	}
	/**
	 * コンストラクタ
	 * @param entity
	 * @param priority
	 * @param approach
	 * @param needChargeNumber
	 * @return 
	 */
	public PoliceForceTask(StandardEntity entity, int priority, int approach, int needChargeNumber) {
		super(entity, priority, approach, needChargeNumber);
	}

}
