package rione.viewer.component;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Stroke;

public class EntityExtension {
	
	/** 色 */
	private Color color = null;
	/** 線のスタイル */
	private Stroke stroke = null;
	/** 塗りつぶすか */
	private boolean fill = false;

	public EntityExtension(Color c, Stroke s) {
		color = c;
		stroke = s;
	}

	public EntityExtension(Color c) {
		color = c;
		stroke = new BasicStroke();
	}

	public EntityExtension(Stroke s) {
		color = new Color(255, 255, 255, 0);
		stroke = s;
	}
	
	public EntityExtension(Color c, Stroke s, boolean f) {
		color = c;
		stroke = s;
		fill = f;
	}

	public EntityExtension(Color c, boolean f) {
		color = c;
		stroke = new BasicStroke();
		fill = f;
	}

	public EntityExtension(Stroke s, boolean f) {
		color = new Color(255, 255, 255, 0);
		stroke = s;
		fill = f;
	}

	public EntityExtension() {
		color = new Color(255, 255, 255, 0);
		stroke = new BasicStroke();
	}
	
	public Color getColor() {
		return color;
	}
	public Stroke getStroke() {
		return stroke;
	}
	public boolean getFill() {
		return fill;
	}
}
