package rione.communication;

public class CommunicationUtil {

	/**
	 * ある整数を表現するのに必要なビット数を得る
	 * @param n ビット数を調べる数
	 * @return 表現するのに必要なビット数
	 */
	public static int needBitSize(int n) {
		int size = 0;
		do {
			size++;
			n >>>= 1;
		} while (n != 0);
		return size;
	}

}
