package rione.util;

/**
 * Sorterのソート基準を表す。
 * @author com
 *
 */
public enum OrderBy {
	/** 昇順 **/
	ASC(1),	
	
	/** 降順 **/
	DESC(-1);
	
	private int order;
	
	private OrderBy(int order) {
		this.order = order;
	}
	
	public int by() {
		return order;
	}
}
